\newif \ifdraft
% \drafttrue % Comment this if conference mode should be used.
\ifdraft % Draft:
\documentclass[conference, draft, onecolumn]{IEEEtran}
\else % Production:
\documentclass[conference]{IEEEtran}
\fi
% \IEEEoverridecommandlockouts
% The preceding line is only needed to identify funding in the first footnote. If that is unneeded, please comment it out.
\usepackage[T1]{fontenc}
\usepackage{cite}
\usepackage{amsmath,amssymb,amsfonts}
\usepackage{graphicx}
\usepackage{textcomp}
\usepackage{xcolor}
\usepackage[binary-units = true]{siunitx}
\usepackage{subfig}
\usepackage{algpseudocode}
\usepackage{url}
\usepackage{pgfplots}
\usepackage{color}
\usepackage{diagbox}
\usepackage{enumerate}


\IEEEoverridecommandlockouts
\IEEEpubid{\makebox[\columnwidth]{978-1-7281-2522-0/19/\$31.00~\copyright{}2019 IEEE \hfill}\hspace{\columnsep}\makebox[\columnwidth]{ }}

\begin{document}
	\title{Highlighting container memory consolidation problem in Linux}

	\author{
		\IEEEauthorblockN{Francis Laniel\IEEEauthorrefmark{3}, Damien Carver\IEEEauthorrefmark{3},
			Julien Sopena\IEEEauthorrefmark{3}, Franck Wajsburt\IEEEauthorrefmark{1},
			Jonathan Lejeune\IEEEauthorrefmark{3} and Marc Shapiro\IEEEauthorrefmark{3}
		}
		\IEEEauthorblockA{\IEEEauthorrefmark{3}\textit{Sorbonne Université, CNRS, Inria, LIP6, DELYS Team, F-75005 Paris, France}}
		\IEEEauthorblockA{\IEEEauthorrefmark{1}\textit{Sorbonne Université, CNRS, LIP6, F-75005 Paris, France}}
		\IEEEauthorblockA{\IEEEauthorrefmark{1}\IEEEauthorrefmark{3}\texttt{firstname.lastname@lip6.fr}}
	}

	\maketitle

	\begin{abstract}
		The container mechanism supports server consolidation; to ensure memory performance isolation, Linux relies on static memory limits.
		However, this results in poor performance, because an application needs are dynamic.
		In this article we will show current problems with memory consolidation for containers in Linux.
	\end{abstract}

	\begin{IEEEkeywords}
		Linux, container, memory, memory consolidation
	\end{IEEEkeywords}

	\input{TEX/intro.tex}
	\input{TEX/technical_background.tex}
	\input{TEX/problem.tex}
	\input{TEX/conclusion.tex}

	\bibliographystyle{IEEEtran}
	\bibliography{IEEEabrv,nca}
\end{document}